Bug 1657512 - [abrt] gnome-terminal: vte::terminal::Terminal::set_blink_settings(): gnome-terminal-server killed by SIGSEGV
Summary: [abrt] gnome-terminal: vte::terminal::Terminal::set_blink_settings(): gnome-t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3c899b4350ded824ce06ac8721c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-09 17:16 UTC by Tom Hughes
Modified: 2018-12-16 04:22 UTC (History)
9 users (show)

Fixed In Version: vte291-0.54.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-16 04:22:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.19 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: cgroup (389 bytes, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: core_backtrace (10.16 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: dso_list (9.71 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: environ (3.52 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: maps (59.77 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: mountinfo (9.16 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: open_fds (2.79 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details
File: proc_pid_status (1.36 KB, text/plain)
2018-12-09 17:16 UTC, Tom Hughes
no flags Details

Description Tom Hughes 2018-12-09 17:16:17 UTC
Description of problem:
I was running "dnf update" and in the middle of the updates all my terminal windows crashed - this is the third time they have crashed in similar circumstances.

Version-Release number of selected component:
gnome-terminal-3.30.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: vte::terminal::Terminal::set_blink_settings
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=69f364979e7e4f2e9f8b9101bc0a3b67;i=ba53e;b=dc9bc9bf94724a84bd437cf5a43508b0;m=25ab485dad4;t=57c99e5da7189;x=615e7786a40c8ec8
kernel:         4.18.16-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 vte::terminal::Terminal::set_blink_settings at vte.cc:8305
 #1 vte::platform::Widget::settings_changed at widget.cc:302
 #7 g_object_notify_by_spec_internal at gobject.c:1181
 #8 g_object_notify_by_pspec at gobject.c:1291
 #9 _gtk_settings_handle_event at gtksettings.c:2898
 #10 gtk_main_do_event at gtkmain.c:1697
 #11 _gdk_event_emit at gdkevents.c:73
 #16 g_main_context_iteration at gmain.c:3981
 #17 g_application_run at gapplication.c:2470

Comment 1 Tom Hughes 2018-12-09 17:16:22 UTC
Created attachment 1512877 [details]
File: backtrace

Comment 2 Tom Hughes 2018-12-09 17:16:23 UTC
Created attachment 1512878 [details]
File: cgroup

Comment 3 Tom Hughes 2018-12-09 17:16:24 UTC
Created attachment 1512879 [details]
File: core_backtrace

Comment 4 Tom Hughes 2018-12-09 17:16:25 UTC
Created attachment 1512880 [details]
File: cpuinfo

Comment 5 Tom Hughes 2018-12-09 17:16:28 UTC
Created attachment 1512881 [details]
File: dso_list

Comment 6 Tom Hughes 2018-12-09 17:16:29 UTC
Created attachment 1512882 [details]
File: environ

Comment 7 Tom Hughes 2018-12-09 17:16:31 UTC
Created attachment 1512883 [details]
File: exploitable

Comment 8 Tom Hughes 2018-12-09 17:16:32 UTC
Created attachment 1512884 [details]
File: limits

Comment 9 Tom Hughes 2018-12-09 17:16:34 UTC
Created attachment 1512885 [details]
File: maps

Comment 10 Tom Hughes 2018-12-09 17:16:37 UTC
Created attachment 1512886 [details]
File: mountinfo

Comment 11 Tom Hughes 2018-12-09 17:16:38 UTC
Created attachment 1512887 [details]
File: open_fds

Comment 12 Tom Hughes 2018-12-09 17:16:39 UTC
Created attachment 1512888 [details]
File: proc_pid_status

Comment 13 Egmont Koblinger 2018-12-10 12:29:09 UTC
Thanks for this report!

Upstream gnome-terminal developers have been able to reproduce and fix this at https://gitlab.gnome.org/GNOME/vte/issues/77 .

Comment 14 Egmont Koblinger 2018-12-10 22:16:45 UTC
Debarshi, Kalev,

vte-0.54.3 has been released to fix this crashing bug (plus several less important ones). Could you please update the F29 package?

F28 (vte-0.52.x) and older ones are believed to be unaffected by this issue.

Tom,

Until a fixed vte291 package is released, I recommend that you use a different terminal emulator for "dnf update". Sorry for any inconvenience this causes. Once vte291 is upgraded to fix this issue, you'll have to quit all gnome-terminal windows at once for the fix to take effect.

Comment 15 Kalev Lember 2018-12-12 11:48:55 UTC
Thanks Egmont, 0.54.3 is on it's way to F29 updates-testing.

Comment 16 Fedora Update System 2018-12-12 11:49:22 UTC
vte291-0.54.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fa37ccdd6e

Comment 17 Fedora Update System 2018-12-13 03:36:08 UTC
vte291-0.54.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fa37ccdd6e

Comment 18 Fedora Update System 2018-12-16 04:22:15 UTC
vte291-0.54.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.